function f = mufunc(x2,theta2w)
% This function computes the non-linear part of the utility (mu_ijt in the Guide)

global ns vfull dfull
[n k] = size(x2);
j = size(theta2w,2)-1;
mu = zeros(n,ns);
for i = 1:ns
      v_i = vfull(:,i:ns:k*ns); %take out v_i's for individual i for all characteristics x2
      %now take out d_i's for individual i
      d_i = dfull(:,(i-1)*j+1:i*j); %recall order of dfull: individual 1 (dem1-dem2), individual 2 (dem1-dem2) etc.
 	mu(:,i) = (x2.*v_i*theta2w(:,1))+x2.*(d_i*theta2w(:,2:j+1)')*ones(k,1);
end
f = mu;
